/*
Calculate ex post and ex ante effects
*/
program define calcpe, rclass

	args beta theta
	return clear
	
	* Permanent (ex post) effect
	qui nlcom (PE: (_b[`beta']/(1-_b[`theta'])))	
	
	matrix pt_estimates = r(b)
	matrix stderrs = r(V)
	
	return scalar ratio = pt_estimates[1,1]
	return scalar stderr_ratio = sqrt(stderrs[1,1])
	
	* Permanent + ex ante
	*qui nlcom (PE: (_b[`beta']/(1-_b[`theta'])) + _b[`beta']/4*(_b[`theta']+_b[`theta']^2+_b[`theta']^3+_b[`theta']^4) )	
	
	* 4-year Ex ante
	* qui nlcom (PE: (  _b[`beta']*(_b[`theta']/(1-_b[`theta']) - 3/4*_b[`theta'] - 1/2*_b[`theta']*_b[`theta'] - 1/4*_b[`theta']*_b[`theta']*_b[`theta'])  )   )

	* 1-year Ex ante
	qui nlcom (PE: (  _b[`beta']*(_b[`theta']/(1-_b[`theta']) )  )   )
	matrix pt_estimates1 = r(b)
	matrix stderrs1 = r(V)	
	return scalar ratio1 = pt_estimates1[1,1]
	return scalar stderr_ratio1 = sqrt(stderrs1[1,1])


	* 2-year Ex ante
	qui nlcom (PE: (  _b[`beta']*((_b[`theta']/(1-_b[`theta']) - _b[`theta']) )  )   )
	matrix pt_estimates2 = r(b)
	matrix stderrs2 = r(V)	
	return scalar ratio2 = pt_estimates2[1,1]
	return scalar stderr_ratio2 = sqrt(stderrs2[1,1])
	 

	* 3-year Ex ante
	qui nlcom (PE: (  _b[`beta']*((_b[`theta']/(1-_b[`theta']) - _b[`theta'] - _b[`theta']*_b[`theta']) )  )   )
	matrix pt_estimates3 = r(b)
	matrix stderrs3 = r(V)	
	return scalar ratio3 = pt_estimates3[1,1]
	return scalar stderr_ratio3 = sqrt(stderrs3[1,1])
	
	* 4-year Ex ante
	qui nlcom (PE: (  _b[`beta']*((_b[`theta']/(1-_b[`theta']) - _b[`theta'] - _b[`theta']*_b[`theta'] - _b[`theta']*_b[`theta']*_b[`theta']) )  )   )
	matrix pt_estimates4 = r(b)
	matrix stderrs4 = r(V)	
	return scalar ratio4 = pt_estimates4[1,1]
	return scalar stderr_ratio4 = sqrt(stderrs4[1,1])
	
	* Wald Test EA>0
	qui nlcom (PE: (  _b[`beta']*_b[`theta']  )   )
	matrix pt_estimates5 = r(b)
	matrix stderrs5 = r(V)	
	return scalar ratio5 = pt_estimates5[1,1]
	return scalar stderr_ratio5 = sqrt(stderrs5[1,1])	
end

**EOF
